@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


:root {
  --text-color:white;
  --bg-url: url(./assests/bg-mobile.jpg);
  --borda: rgba(255, 255, 255, 0.5);
  --background-color: rgba(255, 255, 255, 0.05);
  --switch: url(./assests/MoonStars.svg)
}

.light {
  --text-color:black;
  --bg-url: url(./assests/bg-mobile-light.jpg);
  --borda: rgba(0, 0, 0, 0.5);
  --background-color: rgba(0, 0, 0, 0.05);
  --switch:url(./assests/Sun.svg);
}

body {
  /* background-image: url(./assests/bg-mobile.jpg);
  background-repeat: no-repeat ;
  background-position:top center ;
  background-size:cover ; */
  background: var(--bg-url) no-repeat top center/cover;
  font-family: "Inter", sans-serif;
  color: var(--text-color);
  transition: all 2s;
  height: 1vh;
  overflow: auto;
 
}

.container {
  padding: 24px;
  max-width: 588px;
  width: 100%;
  margin: 56px auto 0px;
}

.profile {
  padding: 24px;
  text-align: center;
}

.profile img {
  width: 150px;
  padding: 20px;
}

.profile p {
  font-weight: 500;
  line-height: 24px;
}

.switch{
  position: relative;
  display: flex;
  width: 64px;
  align-items: center;
  justify-content: center;
  margin: 4px auto;
  
}

.switch button{
  width: 32px;
  height: 32px;
  background: white var(--switch) no-repeat center;
  border: 0;
  border-radius: 50%;
  position: absolute;
  z-index: 1;
  left: 0;
  transition: all 0.2;
  animation:voltar-switch 2s ;
}

.light .switch button{
 animation: escorregar-switch 2s forwards;
}

.switch button:hover{
  cursor: pointer;
  outline: 8px solid var(--borda) ;
}

.switch span{
  display: block;
  width: 64px;
  height: 24px;
  background: var(--background-color);
  border:1px solid --borda;
  backdrop-filter: blur(4px);
  -webkit-backdrop-filter: blur(4px);
  border-radius: 9999px;
}


ul {
  padding: 24px 0;
  list-style: none;
  gap: 16px;
  display: flex;
  flex-direction: column;
}

ul li a {
  font-weight: 500;
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 16px 24px;
  background-color: var(--background-color);
  color: var(--text-color);
  border: 1px solid var(--borda);
  border-radius: 8px;
  backdrop-filter: blur(4px);
  -webkit-backdrop-filter: blur(4px);
  transition: background 0.5s;
}

ul li a:hover {
  cursor: pointer;
  background-color: var(--borda);
  border: 1.5px solid var(--text-color);
}

.socialMedia {
  display: flex;
  justify-content: center;
  font-size: 24px;
  padding: 24px 0;
}

.socialMedia a {
  color: var(--text-color);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 16px;
  transition: background 0.2s;
  border-radius: 50%;
}
.socialMedia a:hover {
  background-color: var(--borda);
  cursor: pointer;
}
footer {
  padding: 24px 0;
  text-align: center;
  font-size: 14px;
}

@media (min-width:700px){
  :root {--bg-url: url(./assests/bg-desktop.jpg);
  }

  .light{--bg-url: url(./assests/bg-desktop-light.jpg);
  }
}

@keyframes escorregar-switch{
  from{
    left: 0;
  }
  to{
    left: 50%;
  }
}

@keyframes voltar-switch{
  from{
    left: 50%;
  }
  to{
    left: 0;
  }
}